#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname	%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	rp-pppoe
Version		:	3.15
Release		:	14.4.0.0%{?dist}
Summary		:	A PPP over Ethernet client (for xDSL support).

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://dianne.skoll.ca/projects/rp-pppoe/

Source0		:	%{name}-%{version}.tar.gz
Source1		:	%{name}-ok_addon.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	autoconf
BuildRequires	:	automake
BuildRequires	:	coreutils
BuildRequires	:	ppp-devel

Requires	:	ppp		>= 2.4.6
Requires	:	coreutils
Requires	:	chkconfig
#-----------------------------------------------------------------------------
%description
PPPoE (Point-to-Point Protocol over Ethernet) is a protocol used by
many ADSL Internet Service Providers. This package contains the
Roaring Penguin PPPoE client, a user-mode program that does not
require any kernel modifications. It is fully compliant with RFC 2516,
the official PPPoE specification.
 

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, 0755)
%doc scripts/pppoe-connect scripts/pppoe-setup scripts/pppoe-init
%doc scripts/pppoe-start scripts/pppoe-status scripts/pppoe-stop
%doc SERVPOET README configs doc
%attr (0750,root,root) %{_sysconfdir}/rc.d/init.d/%{sname}
%{_sysconfdir}/ppp/%{sname}.d/*.conf.sample
%config(noreplace) %{_sysconfdir}/ppp/%{sname}-server-options
%config(noreplace) %{_sysconfdir}/ppp/firewall*
%config(noreplace) %{_sysconfdir}/ppp/%{sname}.conf
%{_sysconfdir}/ppp/plugins/*
%{_sbindir}/%{sname}
%{_sbindir}/%{sname}-*
%{_defaultdocdir}/%{name}-%{version}/*
%{_mandir}/man5/%{sname}.conf.5.gz
%{_mandir}/man8/%{sname}-*.8.gz
%{_mandir}/man8/%{sname}.8.gz

#-----------------------------------------------------------------------------
%preun
if [ "$1" = 0 ]; then
  %{_sysconfdir}/rc.d/init.d/%{sname} stop > /dev/null 2>&1 || :
  /sbin/chkconfig --del %{sname}
  (
  /bin/echo -n "%{name}-%{version} has been fully removed on "; date
  ) > %{_var}/log/README-%{name}-removed
  fi

%post
/sbin/chkconfig --add %{sname}

#=============================================================================
%prep
%setup -q
tar xf %{SOURCE1}

#to add pid file type in case we have ifname within pppoe conf file
sed -i									\
  -e "s:/run/ppp\*\.pid:& /var/run/\`basename \$CONFIG .conf\`.pid:"	\
  scripts/pppoe-status

#-----------------------------------------------------------------------------
#building application
%build

pushd	src
autoconf
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}/%{name}		\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-plugin					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{_smp_mflags}

popd

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	-C src						\
	DESTDIR=%{buildroot}				\
	install

#installing link setting scrript
%{__mkdir_p} 						\
	%{buildroot}%{_sysconfdir}/rc.d/init.d
%{__cp} -f						\
	%{name}-ok_addon/%{sname}			\
	%{buildroot}%{_sysconfdir}/rc.d/init.d/%{sname}

#installing configuration  sample file
%{__mkdir_p} 						\
	%{buildroot}%{_sysconfdir}/ppp/%{sname}.d
%{__cp} -f						\
	%{name}-ok_addon/*.conf.sample			\
	%{buildroot}%{_sysconfdir}/ppp/%{sname}.d
#-----------------------------------------------------------------------------
%changelog
